## lttng-modules 1.0~git20110609.171

=== Makefile ===
#
# Makefile for the LTT objects.
#

ifneq ($(KERNELRELEASE),)
ifneq ($(CONFIG_TRACEPOINTS),)

obj-m += ltt-ring-buffer-client-discard.o
obj-m += ltt-ring-buffer-client-overwrite.o
obj-m += ltt-ring-buffer-metadata-client.o

obj-m += ltt-relay.o
ltt-relay-objs :=  ltt-events.o ltt-debugfs-abi.o \
			ltt-probes.o ltt-core.o ltt-context.o \
			lttng-context-pid.o lttng-context-comm.o \
			lttng-context-prio.o lttng-context-nice.o

ifneq ($(CONFIG_PERF_EVENTS),)
ltt-relay-objs += lttng-context-perf-counters.o
endif

obj-m += probes/
obj-m += lib/

endif

else
	KERNELDIR ?= /lib/modules/$(shell uname -r)/build
	PWD := $(shell pwd)
	CFLAGS = $(EXTCFLAGS)

default:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules

modules_install:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules_install
	/sbin/depmod -a

clean:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) clean

endif

=== lib/Makefile ===
obj-m += lib-ring-buffer.o

lib-ring-buffer-objs := \
	ringbuffer/ring_buffer_backend.o \
	ringbuffer/ring_buffer_frontend.o \
	ringbuffer/ring_buffer_iterator.o \
	ringbuffer/ring_buffer_vfs.o \
	ringbuffer/ring_buffer_splice.o \
	ringbuffer/ring_buffer_mmap.o \
	prio_heap/lttng_prio_heap.o

=== probes/Makefile ===
#
# Makefile for the LTT probes.
# Only build from the package top-level directory. Never use with make directly.

ifneq ($(KERNELRELEASE),)
ifneq ($(CONFIG_TRACEPOINTS),)

ccflags-y += -I$(PWD)/probes
obj-m += lttng-types.o

obj-m += lttng-probe-lttng.o

obj-m += lttng-probe-sched.o
obj-m += lttng-probe-kvm.o
obj-m += lttng-probe-irq.o
obj-m += lttng-probe-block.o
obj-m += lttng-probe-syscalls.o

ifneq ($(CONFIG_KPROBES),)
obj-m += lttng-kprobes.o
endif

ifneq ($(CONFIG_DYNAMIC_FTRACE),)
obj-m += lttng-ftrace.o
endif

endif

else
	KERNELDIR ?= /lib/modules/$(shell uname -r)/build
	PWD := $(shell pwd)
	CFLAGS = $(EXTCFLAGS)

default:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules

modules_install:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules_install
	/sbin/depmod -a

clean:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) clean

endif

## lttng-modules 1.0~git20110609.171-gf91fd73

=== debian/changelog ===
lttng-modules (1.0~git20110609.171-gf91fd73-0ubuntu1) oneiric; urgency=low

  [ Michael Jeanson ]
  * Initial packaging from LTTng PPA

  [ Stéphane Graber ]
  * Upload to Ubuntu (LP: #791456)
  * Update debian/copyright to be complete
  * Set to 3.0 quilt instead of native
  * Set maintainer to ubuntu-dev
  * Tweak to work with code at the root of the tarball

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 01 Jun 2011 13:19:04 -0400

## lttng-modules 2.0~pre8

=== Makefile ===
--- 
+++ 
@@ -8,15 +8,24 @@
 obj-m += ltt-ring-buffer-client-discard.o
 obj-m += ltt-ring-buffer-client-overwrite.o
 obj-m += ltt-ring-buffer-metadata-client.o
+obj-m += ltt-ring-buffer-client-mmap-discard.o
+obj-m += ltt-ring-buffer-client-mmap-overwrite.o
+obj-m += ltt-ring-buffer-metadata-mmap-client.o
 
 obj-m += ltt-relay.o
 ltt-relay-objs :=  ltt-events.o ltt-debugfs-abi.o \
-			ltt-probes.o ltt-core.o ltt-context.o \
+			ltt-probes.o ltt-context.o \
 			lttng-context-pid.o lttng-context-comm.o \
-			lttng-context-prio.o lttng-context-nice.o
+			lttng-context-prio.o lttng-context-nice.o \
+			lttng-context-vpid.o lttng-context-tid.o \
+			lttng-context-vtid.o lttng-context-ppid.o \
+			lttng-context-vppid.o lttng-calibrate.o
 
 ifneq ($(CONFIG_PERF_EVENTS),)
-ltt-relay-objs += lttng-context-perf-counters.o
+ltt-relay-objs += $(shell \
+	if [ $(VERSION) -ge 3 \
+		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 33 \) ] ; then \
+		echo "lttng-context-perf-counters.o" ; fi;)
 endif
 
 obj-m += probes/

=== lib/Makefile ===
--- 
+++ 
@@ -7,4 +7,5 @@
 	ringbuffer/ring_buffer_vfs.o \
 	ringbuffer/ring_buffer_splice.o \
 	ringbuffer/ring_buffer_mmap.o \
-	prio_heap/lttng_prio_heap.o
+	prio_heap/lttng_prio_heap.o \
+	../wrapper/splice.o

=== probes/Makefile ===
--- 
+++ 
@@ -11,13 +11,29 @@
 obj-m += lttng-probe-lttng.o
 
 obj-m += lttng-probe-sched.o
+obj-m += lttng-probe-irq.o
+
+ifneq ($(CONFIG_HAVE_SYSCALL_TRACEPOINTS),)
+obj-m += lttng-probe-syscalls.o
+endif
+
+ifneq ($(CONFIG_KVM),)
 obj-m += lttng-probe-kvm.o
-obj-m += lttng-probe-irq.o
+endif
+
+ifneq ($(CONFIG_BLOCK),)
+ifneq ($(CONFIG_EVENT_TRACING),)	# need blk_cmd_buf_len
 obj-m += lttng-probe-block.o
-obj-m += lttng-probe-syscalls.o
+endif
+endif
 
 ifneq ($(CONFIG_KPROBES),)
 obj-m += lttng-kprobes.o
+endif
+
+
+ifneq ($(CONFIG_KRETPROBES),)
+obj-m += lttng-kretprobes.o
 endif
 
 ifneq ($(CONFIG_DYNAMIC_FTRACE),)

=== debian/changelog ===
lttng-modules (2.0~pre8-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix only release.
    - Fix metadata buffer wait/wakeup

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 16 Aug 2011 20:55:02 -0400

lttng-modules (2.0~pre7-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix only release.
    - Add missing module refcount to lttng_tracepoint_list_fops
    - Add license info about lib/ringbuffer/ring_buffer_mmap.c being GPLv2

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 12 Aug 2011 14:12:46 -0400

lttng-modules (2.0~pre6-0ubuntu1) oneiric; urgency=low

  * New upstream pre-release (2.0~pre6).
  * Update debian/copyright based on upstream LICENSE file
  * Add new modules to dkms.conf
    - lttng-kretprobes
    - lttng-ring-buffer-client-mmap-discard
    - lttng-ring-buffer-client-mmap-overwrite
    - lttng-ring-buffer-metadata-mmap-client

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 09 Aug 2011 10:28:01 -0400

=== debian/control ===
Source: lttng-modules
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), dkms (>= 2.1.0.0)
Standards-Version: 3.9.2
Homepage: http://lttng.org

Package: lttng-modules-dkms
Architecture: all
Depends: ${misc:Depends}
Recommends: lttng-tools
Description: Kernel modules for LTTng (DKMS)
 The LTTng project aims at providing highly efficient tracing tools for Linux.
 Its tracers help tracking down performance issues and debugging problems
 involving multiple concurrent processes and threads. Tracing across multiple
 systems is also possible.
 .
 This package contains the LTTng kernel modules. These provide additional
 instrumentation (not found in the mainline kernel), the ring buffer library,
 the tracer itself, and some additional utilities.
 .
 Installing on kernel versions prior to 2.6.38 might be possible, but has not
 been tested.

## lttng-modules 2.0~pre14

=== probes/Makefile ===
--- 
+++ 
@@ -13,9 +13,7 @@
 obj-m += lttng-probe-sched.o
 obj-m += lttng-probe-irq.o
 
-ifneq ($(CONFIG_HAVE_SYSCALL_TRACEPOINTS),)
-obj-m += lttng-probe-syscalls.o
-endif
+obj-m += lttng-probe-statedump.o
 
 ifneq ($(CONFIG_KVM),)
 obj-m += lttng-probe-kvm.o
@@ -23,7 +21,10 @@
 
 ifneq ($(CONFIG_BLOCK),)
 ifneq ($(CONFIG_EVENT_TRACING),)	# need blk_cmd_buf_len
-obj-m += lttng-probe-block.o
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 \
+		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 38 \) ] ; then \
+		echo "lttng-probe-block.o" ; fi;)
 endif
 endif

## lttng-modules 2.0.0~rc2

=== debian/changelog ===
lttng-modules (2.0.0~rc2-0ubuntu1) precise; urgency=low

  * New upstream bugfix release
    - dmesg printout should not print metadata warnings
    - use transport name as channel name
    - Return -EINVAL instead of print warning if non power of 2
      size/num_subbuf
    - statedump: Use old macro name for kernel 2.6.38


 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 Mar 2012 18:04:01 -0500

lttng-modules (2.0~pre15-0ubuntu1) precise; urgency=low

  * New upstream pre-release tarball.
    - Adds lttng-probe-signal and lttng-probe-timer

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 16 Feb 2012 11:50:17 -0500

lttng-modules (2.0~pre14-0ubuntu1) precise; urgency=low

  * New upstream pre-release tarball.
  * Will be refreshed by a full lttng 2.0 stack when released upstream.
    Upstream's release cycle matches Ubuntu's and they are entering
    Feature Freeze now. I'm planning to upload bugfix releases on top
    of this one.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 16 Feb 2012 10:11:29 -0500

## lttng-modules 2.0.0~rc3

=== Makefile ===
#
# Makefile for the LTT objects.
#

ifneq ($(KERNELRELEASE),)
ifneq ($(CONFIG_TRACEPOINTS),)

obj-m += lttng-ring-buffer-client-discard.o
obj-m += lttng-ring-buffer-client-overwrite.o
obj-m += lttng-ring-buffer-metadata-client.o
obj-m += lttng-ring-buffer-client-mmap-discard.o
obj-m += lttng-ring-buffer-client-mmap-overwrite.o
obj-m += lttng-ring-buffer-metadata-mmap-client.o

obj-m += lttng-tracer.o
lttng-tracer-objs :=  lttng-events.o lttng-abi.o \
			lttng-probes.o lttng-context.o \
			lttng-context-pid.o lttng-context-procname.o \
			lttng-context-prio.o lttng-context-nice.o \
			lttng-context-vpid.o lttng-context-tid.o \
			lttng-context-vtid.o lttng-context-ppid.o \
			lttng-context-vppid.o lttng-calibrate.o \
			wrapper/random.o

obj-m += lttng-statedump.o
lttng-statedump-objs := lttng-statedump-impl.o wrapper/irqdesc.o

ifneq ($(CONFIG_HAVE_SYSCALL_TRACEPOINTS),)
lttng-tracer-objs += lttng-syscalls.o
endif

ifneq ($(CONFIG_PERF_EVENTS),)
lttng-tracer-objs += $(shell \
	if [ $(VERSION) -ge 3 \
		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 33 \) ] ; then \
		echo "lttng-context-perf-counters.o" ; fi;)
endif

obj-m += probes/
obj-m += lib/

endif

else
	KERNELDIR ?= /lib/modules/$(shell uname -r)/build
	PWD := $(shell pwd)
	CFLAGS = $(EXTCFLAGS)

default:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules

modules_install:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules_install

clean:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) clean

endif

=== probes/Makefile ===
--- 
+++ 
@@ -12,6 +12,8 @@
 
 obj-m += lttng-probe-sched.o
 obj-m += lttng-probe-irq.o
+obj-m += lttng-probe-signal.o
+obj-m += lttng-probe-timer.o
 
 obj-m += lttng-probe-statedump.o

=== debian/changelog ===
lttng-modules (2.0.0~rc3-0ubuntu1) precise; urgency=low

  * New upstream bugfix release.
  * Bump standards to 3.9.3 (no change required).

 -- Stéphane Graber <stgraber@ubuntu.com>  Sat, 17 Mar 2012 19:04:43 -0400

## lttng-modules 2.0.0

=== debian/changelog ===
lttng-modules (2.0.0-0ubuntu1) precise; urgency=low

  * Final 2.0.0 release (bugfix only from ~rc).

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 20 Mar 2012 19:35:48 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), dkms (>= 2.1.0.0)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://lttng.org
 
 Package: lttng-modules-dkms

## lttng-modules 2.0.1

=== debian/changelog ===
lttng-modules (2.0.1-0ubuntu1) precise; urgency=low

  * New upstream bugfix release.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 29 Mar 2012 11:57:49 -0400

lttng-modules (2.0.0-0ubuntu2) precise; urgency=low

  * Abuse the fact that dkms.conf is sourced by a shell script to
    have it generated on the fly depending on the target kernel configuration.
    This allows for lttng-modules-dkms to be installed with varying
    kernel configs, most notably on ARM. (LP: #961857)

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 22 Mar 2012 23:07:54 -0400

## lttng-modules 2.0.2

=== debian/changelog ===
lttng-modules (2.0.2-0ubuntu1) precise; urgency=low

  * New upstream bugfix release.
    - Fix: generate header missing echo -e for escape chars
    - Fix: add missing uaccess.h include (for ARM)
    - README: Document that CONFIG_MODULES is required
    - Fix: README typo
    - Fix: document required and optional kernel config options in README

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 20 Apr 2012 14:45:32 +0200

## lttng-modules 2.0.4

=== debian/changelog ===
lttng-modules (2.0.4-1) unstable; urgency=low

  * Initial release (Closes: #680788)

 -- Jon Bernard <jbernard@debian.org>  Sun, 08 Jul 2012 14:15:43 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: lttng-modules
 Section: misc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), dkms (>= 2.1.0.0)
+Maintainer: Jon Bernard <jbernard@debian.org>
+Build-Depends: debhelper (>= 9), dkms (>= 2.1.0.0)
 Standards-Version: 3.9.3
+Vcs-Git: git://git.debian.org/git/collab-maint/lttng-modules.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/lttng-modules.git;a=summary
 Homepage: http://lttng.org
 
 Package: lttng-modules-dkms

=== debian/watch ===
version=3
http://lttng.org/files/lttng-modules/lttng-modules-(.*)\.tar\.(?:gz|bz2)

## lttng-modules 2.1.0~rc1

=== debian/changelog ===
lttng-modules (2.1.0~rc1-1) unstable; urgency=low

  * [74fbff0] Improve short description
  * [ad5fb86] Update watchfile to handle upstream RC releases
  * [3eae7ff] New upstream version 2.1.0~rc1

 -- Jon Bernard <jbernard@debian.org>  Tue, 11 Sep 2012 15:20:24 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: lttng-tools
-Description: Kernel modules for LTTng (DKMS)
+Description: Linux Trace Toolkit (LTTng) kernel modules (DKMS)
  The LTTng project aims at providing highly efficient tracing tools for Linux.
  Its tracers help tracking down performance issues and debugging problems
  involving multiple concurrent processes and threads. Tracing across multiple

## lttng-modules 2.1.0

=== Makefile ===
--- 
+++ 
@@ -20,19 +20,19 @@
 			lttng-context-vpid.o lttng-context-tid.o \
 			lttng-context-vtid.o lttng-context-ppid.o \
 			lttng-context-vppid.o lttng-calibrate.o \
-			wrapper/random.o
+			lttng-context-hostname.o wrapper/random.o
 
 obj-m += lttng-statedump.o
 lttng-statedump-objs := lttng-statedump-impl.o wrapper/irqdesc.o
 
 ifneq ($(CONFIG_HAVE_SYSCALL_TRACEPOINTS),)
-lttng-tracer-objs += lttng-syscalls.o
+lttng-tracer-objs += lttng-syscalls.o probes/lttng-probe-user.o
 endif
 
 ifneq ($(CONFIG_PERF_EVENTS),)
 lttng-tracer-objs += $(shell \
 	if [ $(VERSION) -ge 3 \
-		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 33 \) ] ; then \
+		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 34 \) ] ; then \
 		echo "lttng-context-perf-counters.o" ; fi;)
 endif
 
@@ -55,4 +55,6 @@
 clean:
 	$(MAKE) -C $(KERNELDIR) M=$(PWD) clean
 
+%.i: %.c
+	$(MAKE) -C $(KERNELDIR) M=$(PWD) $@
 endif

=== probes/Makefile ===
--- 
+++ 
@@ -9,10 +9,8 @@
 obj-m += lttng-types.o
 
 obj-m += lttng-probe-lttng.o
-
 obj-m += lttng-probe-sched.o
 obj-m += lttng-probe-irq.o
-obj-m += lttng-probe-signal.o
 obj-m += lttng-probe-timer.o
 
 obj-m += lttng-probe-statedump.o
@@ -20,6 +18,11 @@
 ifneq ($(CONFIG_KVM),)
 obj-m += lttng-probe-kvm.o
 endif
+
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 \
+		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 35 \) ] ; then \
+		echo "lttng-probe-signal.o" ; fi;)
 
 ifneq ($(CONFIG_BLOCK),)
 ifneq ($(CONFIG_EVENT_TRACING),)	# need blk_cmd_buf_len

=== debian/changelog ===
lttng-modules (2.1.0-2) unstable; urgency=low

  * [cc76040] Include upstream fix to remove bashims (Closes: #690718)

 -- Jon Bernard <jbernard@debian.org>  Mon, 13 May 2013 14:06:56 -0400

lttng-modules (2.1.0-1) unstable; urgency=low

  * [2c7eeb2] New upstream version 2.1.0

 -- Jon Bernard <jbernard@debian.org>  Tue, 29 Jan 2013 11:08:50 -0500

## lttng-modules 2.3.2

=== debian/changelog ===
lttng-modules (2.3.2-1) unstable; urgency=low

  * [0e22097] New upstream version 2.3.2
  * [6e282fe] Correct module version number in dkms config
  * [f5c5d38] Include missing modules in dkms config.
    Thanks to Vincent Bernat (Closes: #723850)

 -- Jon Bernard <jbernard@debian.org>  Sat, 19 Oct 2013 18:55:20 -0400

lttng-modules (2.3.0-1) unstable; urgency=low

  * [d8209ca] New upstream version 2.3.0

 -- Jon Bernard <jbernard@debian.org>  Tue, 03 Sep 2013 22:10:20 -0400

lttng-modules (2.3.0~rc2-1) unstable; urgency=low

  * [df00912] New upstream version 2.3.0~rc2

 -- Jon Bernard <jbernard@debian.org>  Mon, 02 Sep 2013 13:09:19 -0400

lttng-modules (2.3.0~rc1-2) unstable; urgency=low

  * [ee85460] Update dkms config to match last upstream release
    (Closes: #717165)

 -- Jon Bernard <jbernard@debian.org>  Mon, 26 Aug 2013 12:45:41 -0400

lttng-modules (2.3.0~rc1-1) unstable; urgency=low

  * [e0f821c] New upstream version 2.3.0~rc1 (Closes: #717165)
  * [ef3a22d] Correct Section from misc to kernel
  * [46de1ab] Bump Standards-Version to 3.9.4, no changes necessary
  * [1cbff65] Remove bashism patch, included upstream

 -- Jon Bernard <jbernard@debian.org>  Fri, 02 Aug 2013 13:03:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: lttng-modules
-Section: misc
+Section: kernel
 Priority: extra
 Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), dkms (>= 2.1.0.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/collab-maint/lttng-modules.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/lttng-modules.git;a=summary
 Homepage: http://lttng.org

=== debian/watch ===
version=3
opts=versionmangle=s/-(rc\d|pre\d)/~$1/ \
    http://lttng.org/files/lttng-modules/lttng-modules-(.*)\.tar\.(?:gz|bz2)

## lttng-modules 2.4.0

=== Makefile ===
--- 
+++ 
@@ -23,25 +23,26 @@
 			lttng-context-hostname.o wrapper/random.o
 
 obj-m += lttng-statedump.o
-lttng-statedump-objs := lttng-statedump-impl.o wrapper/irqdesc.o
+lttng-statedump-objs := lttng-statedump-impl.o wrapper/irqdesc.o \
+			wrapper/fdtable.o
 
 ifneq ($(CONFIG_HAVE_SYSCALL_TRACEPOINTS),)
 lttng-tracer-objs += lttng-syscalls.o probes/lttng-probe-user.o
-endif
+endif # CONFIG_HAVE_SYSCALL_TRACEPOINTS
 
 ifneq ($(CONFIG_PERF_EVENTS),)
 lttng-tracer-objs += $(shell \
 	if [ $(VERSION) -ge 3 \
-		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 34 \) ] ; then \
+		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 33 \) ] ; then \
 		echo "lttng-context-perf-counters.o" ; fi;)
-endif
+endif # CONFIG_PERF_EVENTS
 
 obj-m += probes/
 obj-m += lib/
 
-endif
+endif # CONFIG_TRACEPOINTS
 
-else
+else # KERNELRELEASE
 	KERNELDIR ?= /lib/modules/$(shell uname -r)/build
 	PWD := $(shell pwd)
 	CFLAGS = $(EXTCFLAGS)
@@ -57,4 +58,4 @@
 
 %.i: %.c
 	$(MAKE) -C $(KERNELDIR) M=$(PWD) $@
-endif
+endif # KERNELRELEASE

=== debian/changelog ===
lttng-modules (2.4.0-1ubuntu1) trusty; urgency=medium

  * Fix installation failure due to invalid version string...

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 27 Mar 2014 11:04:27 -0400

lttng-modules (2.4.0-1) unstable; urgency=low

  * [8764991] New upstream version 2.4.0 (Closes: #734305)

 -- Jon Bernard <jbernard@debian.org>  Fri, 14 Mar 2014 20:07:40 -0400

lttng-modules (2.4.0~rc3-1) experimental; urgency=low

  * [9fe0e76] New upstream version 2.4.0~rc3
  * [a111ad6] Bump Standards-Version to 3.9.5, no changes necessary
  * [9565704] Update VCS fields
  * [943a589] Update watch file to only uversionmangle
  * [ce07d9b] Update module version number in dkms config

 -- Jon Bernard <jbernard@debian.org>  Thu, 13 Feb 2014 17:44:35 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: lttng-modules
 Section: kernel
 Priority: extra
-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), dkms (>= 2.1.0.0)
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/collab-maint/lttng-modules.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/lttng-modules.git;a=summary
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/collab-maint/lttng-modules.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lttng-modules.git;a=summary
 Homepage: http://lttng.org
 
 Package: lttng-modules-dkms

=== debian/watch ===
version=3
opts=uversionmangle=s/-(rc\d|pre\d)/~$1/ \
    http://lttng.org/files/lttng-modules/lttng-modules-(.*)\.tar\.(?:gz|bz2)

## lttng-modules 2.5.0

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,8 @@
 			lttng-context-vpid.o lttng-context-tid.o \
 			lttng-context-vtid.o lttng-context-ppid.o \
 			lttng-context-vppid.o lttng-calibrate.o \
-			lttng-context-hostname.o wrapper/random.o
+			lttng-context-hostname.o wrapper/random.o \
+			probes/lttng.o
 
 obj-m += lttng-statedump.o
 lttng-statedump-objs := lttng-statedump-impl.o wrapper/irqdesc.o \
@@ -36,6 +37,10 @@
 		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 33 \) ] ; then \
 		echo "lttng-context-perf-counters.o" ; fi;)
 endif # CONFIG_PERF_EVENTS
+
+lttng-tracer-objs += $(shell \
+	if [ $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 15 -a $(SUBLEVEL) -ge 0 ] ; then \
+		echo "lttng-tracepoint.o" ; fi;)
 
 obj-m += probes/
 obj-m += lib/

=== probes/Makefile ===
--- 
+++ 
@@ -8,30 +8,210 @@
 ccflags-y += -I$(PWD)/probes
 obj-m += lttng-types.o
 
-obj-m += lttng-probe-lttng.o
 obj-m += lttng-probe-sched.o
 obj-m += lttng-probe-irq.o
 obj-m += lttng-probe-timer.o
+obj-m += lttng-probe-kmem.o
+obj-m += lttng-probe-module.o
+obj-m += lttng-probe-power.o
 
 obj-m += lttng-probe-statedump.o
 
 ifneq ($(CONFIG_KVM),)
 obj-m += lttng-probe-kvm.o
-endif
-
-obj-m +=  $(shell \
-	if [ $(VERSION) -ge 3 \
-		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 35 \) ] ; then \
+ifneq ($(CONFIG_X86),)
+kvm_dep = $(srctree)/virt/kvm/iodev.h
+ifneq ($(wildcard $(kvm_dep)),)
+CFLAGS_lttng-probe-kvm-x86.o += -I$(srctree)/virt/kvm
+CFLAGS_lttng-probe-kvm-x86-mmu.o += -I$(srctree)/virt/kvm
+obj-m += lttng-probe-kvm-x86.o
+obj-m += lttng-probe-kvm-x86-mmu.o
+else
+$(warning File $(kvm_dep) not found. Probe "kvm" x86-specific is disabled. Use full kernel source tree to enable it.)
+endif
+endif
+endif
+
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 \
+		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 33 \) ] ; then \
 		echo "lttng-probe-signal.o" ; fi;)
 
 ifneq ($(CONFIG_BLOCK),)
 ifneq ($(CONFIG_EVENT_TRACING),)	# need blk_cmd_buf_len
+obj-m += lttng-probe-block.o
+endif
+endif
+
+ifneq ($(CONFIG_NET),)
+obj-m += lttng-probe-napi.o
+obj-m += lttng-probe-skb.o
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 \
+		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 37 \) ] ; then \
+		echo "lttng-probe-net.o" ; fi;)
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 1 ] ; then \
+		echo "lttng-probe-sock.o" ; fi;)
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 1 ] ; then \
+		echo "lttng-probe-udp.o" ; fi;)
+endif
+
+ifneq ($(CONFIG_SND_SOC),)
 obj-m +=  $(shell \
 	if [ $(VERSION) -ge 3 \
 		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 38 \) ] ; then \
-		echo "lttng-probe-block.o" ; fi;)
-endif
-endif
+		echo "lttng-probe-asoc.o" ; fi;)
+endif
+
+ifneq ($(CONFIG_EXT3_FS),)
+ext3_dep = $(srctree)/fs/ext3/*.h
+ext3_dep_check = $(wildcard $(ext3_dep))
+ext3 = $(shell \
+	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 1 ] ; then \
+		if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 4 -a \
+			-z "$(ext3_dep_check)" ] ; then \
+			echo "warn" ; \
+			exit ; \
+		fi; \
+		echo "lttng-probe-ext3.o" ; \
+	fi;)
+ifeq ($(ext3),warn)
+$(warning Files $(ext3_dep) not found. Probe "ext3" is disabled. Use full kernel source tree to enable it.)
+ext3 =
+endif
+obj-m += $(ext3)
+endif
+
+ifneq ($(CONFIG_GPIOLIB),)
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 ] ; then \
+		echo "lttng-probe-gpio.o" ; fi;)
+endif
+
+ifneq ($(CONFIG_JBD2),)
+obj-m += lttng-probe-jbd2.o
+endif
+
+ifneq ($(CONFIG_JBD),)
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 1 ] ; then \
+		echo "lttng-probe-jbd.o" ; fi;)
+endif
+
+ifneq ($(CONFIG_REGULATOR),)
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 \
+		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 38 \) ] ; then \
+		echo "lttng-probe-regulator.o" ; fi;)
+endif
+
+ifneq ($(CONFIG_SCSI),)
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 \
+		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 35 \) ] ; then \
+		echo "lttng-probe-scsi.o" ; fi;)
+endif
+
+vmscan = $(shell \
+	if [ $(VERSION) -ge 3 \
+		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 36 \) ] ; then \
+		echo "lttng-probe-vmscan.o" ; fi;)
+ifneq ($(CONFIG_SWAP),)
+	obj-m += $(vmscan)
+else
+ifneq ($(CONFIG_CGROUP_MEM_RES_CTLR),)
+	obj-m += $(vmscan)
+endif
+endif
+
+# lock probe does not work, so disabling it for now
+#ifneq ($(CONFIG_LOCKDEP),)
+#obj-m += lttng-probe-lock.o
+#endif
+
+ifneq ($(CONFIG_BTRFS_FS),)
+btrfs_dep = $(srctree)/fs/btrfs/*.h
+btrfs = $(shell \
+	if [ $(VERSION) -ge 3 \
+		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 39 \) ] ; then \
+		echo "lttng-probe-btrfs.o" ; fi;)
+ifneq ($(btrfs),)
+ifeq ($(wildcard $(btrfs_dep)),)
+$(warning Files $(btrfs_dep) not found. Probe "btrfs" is disabled. Use full kernel source tree to enable it.)
+btrfs =
+endif
+endif
+obj-m += $(btrfs)
+endif
+
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 \
+		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 38 \) ] ; then \
+		echo "lttng-probe-compaction.o" ; fi;)
+
+ifneq ($(CONFIG_EXT4_FS),)
+ext4_dep = $(srctree)/fs/ext4/*.h
+ext4 = lttng-probe-ext4.o
+ifeq ($(wildcard $(ext4_dep)),)
+$(warning Files $(ext4_dep) not found. Probe "ext4" is disabled. Use full kernel source tree to enable it.)
+ext4 =
+endif
+obj-m += $(ext4)
+endif
+
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 4 ] ; then \
+		echo "lttng-probe-printk.o" ; fi;)
+ifneq ($(CONFIG_FRAME_WARN),0)
+CFLAGS_lttng-probe-printk.o += -Wframe-larger-than=2200
+endif
+
+obj-m +=  $(shell \
+	if [ \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 6 \) \
+		-o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -eq 5 -a $(SUBLEVEL) -ge 2 \) \
+		-o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -eq 4 -a $(SUBLEVEL) -ge 9 \) \
+		-o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -eq 0 -a $(SUBLEVEL) -ge 41 \) ] ; then \
+		echo "lttng-probe-random.o" ; fi;)
+
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 2 ] ; then \
+		echo "lttng-probe-rcu.o" ; fi;)
+
+ifneq ($(CONFIG_REGMAP),)
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 2 ] ; then \
+		echo "lttng-probe-regmap.o" ; fi;)
+endif
+
+ifneq ($(CONFIG_PM_RUNTIME),)
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 2 ] ; then \
+		echo "lttng-probe-rpm.o" ; fi;)
+endif
+
+ifneq ($(CONFIG_SUNRPC),)
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 4 ] ; then \
+		echo "lttng-probe-sunrpc.o" ; fi;)
+endif
+
+ifneq ($(CONFIG_VIDEO_V4L2),)
+obj-m += $(shell \
+	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 14 ] ; then \
+		echo "lttng-probe-v4l2.o" ; fi;)
+endif
+
+obj-m += lttng-probe-workqueue.o
+
+ifneq ($(CONFIG_KALLSYMS_ALL),)
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 \
+		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 36 \) ] ; then \
+		echo "lttng-probe-writeback.o" ; fi;)
+endif
+
 
 ifneq ($(CONFIG_KPROBES),)
 obj-m += lttng-kprobes.o

=== debian/changelog ===
lttng-modules (2.5.0-1ubuntu1) utopic; urgency=medium

  * Fix dkms build failure for Utopic kernels (LP: #1396758)

 -- Joseph Salisbury <joseph.salisbury@canonical.com>  Wed, 17 Dec 2014 15:44:50 -0600

lttng-modules (2.5.0-1) unstable; urgency=medium

  * [2d86702] New upstream version 2.5.0

 -- Jon Bernard <jbernard@debian.org>  Fri, 01 Aug 2014 22:32:49 -0400

lttng-modules (2.4.1-1) unstable; urgency=low

  [ Michael Jeanson ]
  * [27cf659] Exclude license files from install to fix lintian warning
  * [75604c7] Remove execute permission from source file to fix lintian warning
  * [4900606] Imported Upstream version 2.4.1
  * [55f9625] Permissions fixed in new upstream release

 -- Jon Bernard <jbernard@debian.org>  Thu, 10 Apr 2014 16:21:23 -0400

lttng-modules (2.4.0-2) unstable; urgency=low

  [ Michael Jeanson ]
  * [d549dc1] Fix module version in dkms configuration

 -- Jon Bernard <jbernard@debian.org>  Thu, 27 Mar 2014 15:38:35 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

upstreamversion := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-.\+/\1/p')

%:
	dh $@ --with dkms

override_dh_dkms:
	dh_dkms -V $(upstreamversion)

override_dh_auto_install:
	# Build install files for the dkms'ified sources
	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/lttng-modules-dkms.install.in > debian/lttng-modules-dkms.install
	sed -e 's/CVERSION/$(upstreamversion)/g' < debian/lttng-modules-dkms.dkms.in > debian/lttng-modules-dkms.dkms
	dh_auto_install

override_dh_install:
	dh_install -Xdebian -XLICENSE -Xgpl-2.0.txt -Xlgpl-2.1.txt

override_dh_auto_clean:
	exit 0

override_dh_auto_build:
	exit 0

override_dh_clean:
	rm -f debian/lttng-modules-dkms.install
	rm -f debian/lttng-modules-dkms.dkms
	dh_clean

## lttng-modules 2.5.1

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,20 @@
 
 ifneq ($(KERNELRELEASE),)
 ifneq ($(CONFIG_TRACEPOINTS),)
+
+lttng_check_linux_version = $(shell pwd)/include/linux/version.h
+lttng_check_generated_linux_version = $(shell pwd)/include/generated/uapi/linux/version.h
+
+#
+# Check for stale version.h, which can be a leftover from an old Linux
+# kernel tree moved to a newer kernel version, only pruned by make
+# distclean.
+#
+ifneq ($(wildcard $(lttng_check_linux_version)),)
+ifneq ($(wildcard $(lttng_check_generated_linux_version)),)
+$(error Duplicate version.h files found in $(lttng_check_linux_version) and $(lttng_check_generated_linux_version). Consider running make distclean on your kernel, or removing the stale $(lttng_check_linux_version) file)
+endif
+endif
 
 obj-m += lttng-ring-buffer-client-discard.o
 obj-m += lttng-ring-buffer-client-overwrite.o

=== probes/Makefile ===
--- 
+++ 
@@ -210,6 +210,8 @@
 	if [ $(VERSION) -ge 3 \
 		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 36 \) ] ; then \
 		echo "lttng-probe-writeback.o" ; fi;)
+else
+$(warning CONFIG_KALLSYMS_ALL is disabled, therefore probe "writeback" is disabled. Rebuild your kernel with this configuration option enabled in order to trace this subsystem.)
 endif

=== debian/changelog ===
lttng-modules (2.5.1-1) unstable; urgency=medium

  * [106d0a8] New upstream version 2.5.1
  * [62778a4] Bump standards version, no changes necessary

 -- Jon Bernard <jbernard@debian.org>  Fri, 24 Oct 2014 15:11:28 +0000

## lttng-modules 2.6.2

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 ifneq ($(KERNELRELEASE),)
 ifneq ($(CONFIG_TRACEPOINTS),)
+
+KERNELDIR=${LTTNG_KERNELDIR}
 
 lttng_check_linux_version = $(shell pwd)/include/linux/version.h
 lttng_check_generated_linux_version = $(shell pwd)/include/generated/uapi/linux/version.h
@@ -18,6 +20,8 @@
 $(error Duplicate version.h files found in $(lttng_check_linux_version) and $(lttng_check_generated_linux_version). Consider running make distclean on your kernel, or removing the stale $(lttng_check_linux_version) file)
 endif
 endif
+
+include $(KBUILD_EXTMOD)/Makefile.ABI.workarounds
 
 obj-m += lttng-ring-buffer-client-discard.o
 obj-m += lttng-ring-buffer-client-overwrite.o
@@ -35,7 +39,8 @@
 			lttng-context-vtid.o lttng-context-ppid.o \
 			lttng-context-vppid.o lttng-calibrate.o \
 			lttng-context-hostname.o wrapper/random.o \
-			probes/lttng.o
+			probes/lttng.o wrapper/trace-clock.o \
+			wrapper/page_alloc.o
 
 obj-m += lttng-statedump.o
 lttng-statedump-objs := lttng-statedump-impl.o wrapper/irqdesc.o \
@@ -53,7 +58,8 @@
 endif # CONFIG_PERF_EVENTS
 
 lttng-tracer-objs += $(shell \
-	if [ $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 15 -a $(SUBLEVEL) -ge 0 ] ; then \
+	if [ $(VERSION) -ge 4 \
+		-o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 15 -a $(SUBLEVEL) -ge 0 \) ] ; then \
 		echo "lttng-tracepoint.o" ; fi;)
 
 obj-m += probes/
@@ -67,14 +73,14 @@
 	CFLAGS = $(EXTCFLAGS)
 
 default:
-	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules
+	LTTNG_KERNELDIR=$(KERNELDIR) $(MAKE) -C $(KERNELDIR) M=$(PWD) modules
 
 modules_install:
-	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules_install
+	LTTNG_KERNELDIR=$(KERNELDIR) $(MAKE) -C $(KERNELDIR) M=$(PWD) modules_install
 
 clean:
-	$(MAKE) -C $(KERNELDIR) M=$(PWD) clean
+	LTTNG_KERNELDIR=$(KERNELDIR) $(MAKE) -C $(KERNELDIR) M=$(PWD) clean
 
 %.i: %.c
-	$(MAKE) -C $(KERNELDIR) M=$(PWD) $@
+	LTTNG_KERNELDIR=$(KERNELDIR) $(MAKE) -C $(KERNELDIR) M=$(PWD) $@
 endif # KERNELRELEASE

=== lib/Makefile ===
--- 
+++ 
@@ -1,6 +1,10 @@
-obj-m += lib-ring-buffer.o
+KERNELDIR=${LTTNG_KERNELDIR}
 
-lib-ring-buffer-objs := \
+include $(KBUILD_EXTMOD)/Makefile.ABI.workarounds
+
+obj-m += lttng-lib-ring-buffer.o
+
+lttng-lib-ring-buffer-objs := \
 	ringbuffer/ring_buffer_backend.o \
 	ringbuffer/ring_buffer_frontend.o \
 	ringbuffer/ring_buffer_iterator.o \

=== probes/Makefile ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 ifneq ($(KERNELRELEASE),)
 ifneq ($(CONFIG_TRACEPOINTS),)
+
+KERNELDIR=${LTTNG_KERNELDIR}
+
+include $(KBUILD_EXTMOD)/Makefile.ABI.workarounds
 
 ccflags-y += -I$(PWD)/probes
 obj-m += lttng-types.o
@@ -20,12 +24,18 @@
 ifneq ($(CONFIG_KVM),)
 obj-m += lttng-probe-kvm.o
 ifneq ($(CONFIG_X86),)
-kvm_dep = $(srctree)/virt/kvm/iodev.h
+kvm_dep = $(srctree)/virt/kvm/iodev.h $(srctree)/include/kvm/iodev.h
 ifneq ($(wildcard $(kvm_dep)),)
 CFLAGS_lttng-probe-kvm-x86.o += -I$(srctree)/virt/kvm
 CFLAGS_lttng-probe-kvm-x86-mmu.o += -I$(srctree)/virt/kvm
-obj-m += lttng-probe-kvm-x86.o
-obj-m += lttng-probe-kvm-x86-mmu.o
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 \
+		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 38 \) ] ; then \
+		echo "lttng-probe-kvm-x86.o" ; fi;)
+obj-m +=  $(shell \
+	if [ $(VERSION) -ge 3 \
+		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 38 \) ] ; then \
+		echo "lttng-probe-kvm-x86-mmu.o" ; fi;)
 else
 $(warning File $(kvm_dep) not found. Probe "kvm" x86-specific is disabled. Use full kernel source tree to enable it.)
 endif
@@ -51,10 +61,12 @@
 		-o \( $(VERSION) -eq 2 -a $(PATCHLEVEL) -ge 6 -a $(SUBLEVEL) -ge 37 \) ] ; then \
 		echo "lttng-probe-net.o" ; fi;)
 obj-m +=  $(shell \
-	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 1 ] ; then \
+	if [ $(VERSION) -ge 4 \
+		-o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 1 \) ] ; then \
 		echo "lttng-probe-sock.o" ; fi;)
 obj-m +=  $(shell \
-	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 1 ] ; then \
+	if [ $(VERSION) -ge 4 \
+		-o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 1 \) ] ; then \
 		echo "lttng-probe-udp.o" ; fi;)
 endif
 
@@ -69,8 +81,8 @@
 ext3_dep = $(srctree)/fs/ext3/*.h
 ext3_dep_check = $(wildcard $(ext3_dep))
 ext3 = $(shell \
-	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 1 ] ; then \
-		if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 4 -a \
+	if [ $(VERSION) -ge 4 -o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 1 \) ] ; then \
+		if [ \( $(VERSION) -ge 4 -o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 4 \) \) -a \
 			-z "$(ext3_dep_check)" ] ; then \
 			echo "warn" ; \
 			exit ; \
@@ -96,7 +108,8 @@
 
 ifneq ($(CONFIG_JBD),)
 obj-m +=  $(shell \
-	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 1 ] ; then \
+	if [ $(VERSION) -ge 4 \
+		-o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 1 \) ] ; then \
 		echo "lttng-probe-jbd.o" ; fi;)
 endif
 
@@ -162,44 +175,53 @@
 endif
 
 obj-m +=  $(shell \
-	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 4 ] ; then \
+	if [ $(VERSION) -ge 4 \
+		-o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 4 \) ] ; then \
 		echo "lttng-probe-printk.o" ; fi;)
 ifneq ($(CONFIG_FRAME_WARN),0)
 CFLAGS_lttng-probe-printk.o += -Wframe-larger-than=2200
 endif
 
 obj-m +=  $(shell \
-	if [ \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 6 \) \
+	if [ $(VERSION) -ge 4 \
+		-o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 6 \) \
 		-o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -eq 5 -a $(SUBLEVEL) -ge 2 \) \
 		-o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -eq 4 -a $(SUBLEVEL) -ge 9 \) \
 		-o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -eq 0 -a $(SUBLEVEL) -ge 41 \) ] ; then \
 		echo "lttng-probe-random.o" ; fi;)
 
 obj-m +=  $(shell \
-	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 2 ] ; then \
+	if [ $(VERSION) -ge 4 \
+		-o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 2 \) ] ; then \
 		echo "lttng-probe-rcu.o" ; fi;)
 
 ifneq ($(CONFIG_REGMAP),)
-obj-m +=  $(shell \
-	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 2 ] ; then \
-		echo "lttng-probe-regmap.o" ; fi;)
+regmap_dep_4_1 = $(srctree)/drivers/base/regmap/trace.h
+ifneq ($(wildcard $(regmap_dep_4_1)),)
+obj-m += lttng-probe-regmap.o
+else
+$(warning File $(regmap_dep_4_1) not found. Probe "regmap" is disabled. Need Linux 4.1+ kernel source tree to enable it.)
+endif
 endif
 
 ifneq ($(CONFIG_PM_RUNTIME),)
 obj-m +=  $(shell \
-	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 2 ] ; then \
+	if [ $(VERSION) -ge 4 \
+		-o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 2 \) ] ; then \
 		echo "lttng-probe-rpm.o" ; fi;)
 endif
 
 ifneq ($(CONFIG_SUNRPC),)
 obj-m +=  $(shell \
-	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 4 ] ; then \
+	if [ $(VERSION) -ge 4 \
+		-o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 4 \) ] ; then \
 		echo "lttng-probe-sunrpc.o" ; fi;)
 endif
 
 ifneq ($(CONFIG_VIDEO_V4L2),)
 obj-m += $(shell \
-	if [ $(VERSION) -ge 3 -a $(PATCHLEVEL) -ge 14 ] ; then \
+	if [ $(VERSION) -ge 4 \
+		-o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 14 \) ] ; then \
 		echo "lttng-probe-v4l2.o" ; fi;)
 endif

=== debian/changelog ===
lttng-modules (2.6.2-1ubuntu3) wily; urgency=medium

  * Support linux 4.2 
    Dropped Fix-disable-kvm-probe-if-lapic.h-isn-t-found.patch
    Updated from git://git.lttng.org/lttng-modules.git stable-2.6
    git format-patch 7a88f8b50696dd71e80c08661159caf8e119bf51..0e648dfbed54d26f95a302d62512517ae09c8315
    0001-Fix-use-after-free-on-metadata-cache-reallocation.patch
    0002-Fix-Building-the-event-list-fails-on-fragmented-memo.patch
    0003-Fix-allow-LTTng-to-be-built-within-kernel-tree.patch
    0004-Fix-kvm-instrumentation-for-4.2-kernels.patch
    0005-Fix-ext4-instrumentation-for-4.2-kernels.patch
    0006-Fix-timer-instrumentation-for-4.2-kernels.patch
    0007-Fix-disable-kvm-probe-if-lapic.h-isn-t-found.patch
    0008-Fix-kmem-probe-with-Ubuntu-3.13-kernels.patch
    0009-Fix-mm_page_alloc_extfrag-instrumentation-for-kernel.patch
    0010-Fix-writeback-instrumentation-for-4.2-kernels.patch

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 24 Aug 2015 08:47:13 -0600

lttng-modules (2.6.2-1ubuntu2) wily; urgency=medium

  * dkms: Don't install regmap trace module.

 -- Chris J Arges <chris.j.arges@canonical.com>  Fri, 24 Jul 2015 15:01:42 -0500

lttng-modules (2.6.2-1ubuntu1) wily; urgency=medium

  * d/p/Fix-disable-kvm-probe-if-lapic.h-isn-t-found.patch:
    Fix build failures with v4.0+ kernels.

 -- Chris J Arges <chris.j.arges@canonical.com>  Fri, 24 Jul 2015 13:19:18 -0500

lttng-modules (2.6.2-1) unstable; urgency=medium

  [ Jon Bernard ]
  * [eb0b449] New upstream version 2.6.2

  [ Michael Jeanson ]
  * [fd2d7a6] Fix dh_install debian dir exclusion
  * [d7f5498] Regmap probe only builds on linux 4.1 and up (Closes: #788274)

 -- Jon Bernard <jbernard@debian.org>  Thu, 18 Jun 2015 20:16:30 +0000

## lttng-modules 2.7.0

=== debian/changelog ===
lttng-modules (2.7.0-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [1d8e419] New upstream version 2.7.0
  * [c6bc676] Add new probe-v4l2 and test modules to dkms config

 -- Jon Bernard <jbernard@debian.org>  Mon, 26 Oct 2015 16:57:12 +0000

lttng-modules (2.6.3-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [42bdc5f] New upstream version 2.6.3
  * [6068452] Remove regmap probe module since it requires full kernel sources

 -- Jon Bernard <jbernard@debian.org>  Thu, 10 Sep 2015 20:24:20 +0000

## lttng-modules 2.7.1

=== Makefile ===
--- 
+++ 
@@ -5,10 +5,12 @@
 ifneq ($(KERNELRELEASE),)
 ifneq ($(CONFIG_TRACEPOINTS),)
 
-KERNELDIR=${LTTNG_KERNELDIR}
+KERNELDIR = ${LTTNG_KERNELDIR}
+MAKEFILEDIR = $(shell dirname $(lastword $(MAKEFILE_LIST)))
 
 lttng_check_linux_version = $(shell pwd)/include/linux/version.h
 lttng_check_generated_linux_version = $(shell pwd)/include/generated/uapi/linux/version.h
+
 
 #
 # Check for stale version.h, which can be a leftover from an old Linux
@@ -21,7 +23,7 @@
 endif
 endif
 
-include $(KBUILD_EXTMOD)/Makefile.ABI.workarounds
+include $(MAKEFILEDIR)/Makefile.ABI.workarounds
 
 obj-m += lttng-ring-buffer-client-discard.o
 obj-m += lttng-ring-buffer-client-overwrite.o
@@ -37,17 +39,23 @@
 			lttng-context-prio.o lttng-context-nice.o \
 			lttng-context-vpid.o lttng-context-tid.o \
 			lttng-context-vtid.o lttng-context-ppid.o \
-			lttng-context-vppid.o lttng-calibrate.o \
+			lttng-context-vppid.o lttng-context-cpu-id.o \
+			lttng-calibrate.o \
 			lttng-context-hostname.o wrapper/random.o \
 			probes/lttng.o wrapper/trace-clock.o \
-			wrapper/page_alloc.o
+			wrapper/page_alloc.o \
+			lttng-tracker-pid.o \
+			lttng-filter.o lttng-filter-interpreter.o \
+			lttng-filter-specialize.o \
+			lttng-filter-validator.o \
+			probes/lttng-probe-user.o
 
 obj-m += lttng-statedump.o
 lttng-statedump-objs := lttng-statedump-impl.o wrapper/irqdesc.o \
 			wrapper/fdtable.o
 
 ifneq ($(CONFIG_HAVE_SYSCALL_TRACEPOINTS),)
-lttng-tracer-objs += lttng-syscalls.o probes/lttng-probe-user.o
+lttng-tracer-objs += lttng-syscalls.o
 endif # CONFIG_HAVE_SYSCALL_TRACEPOINTS
 
 ifneq ($(CONFIG_PERF_EVENTS),)

=== lib/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
-KERNELDIR=${LTTNG_KERNELDIR}
+KERNELDIR = ${LTTNG_KERNELDIR}
+MAKEFILEDIR = $(shell dirname $(lastword $(MAKEFILE_LIST)))
 
-include $(KBUILD_EXTMOD)/Makefile.ABI.workarounds
+include $(MAKEFILEDIR)/../Makefile.ABI.workarounds
 
 obj-m += lttng-lib-ring-buffer.o

=== probes/Makefile ===
--- 
+++ 
@@ -5,9 +5,10 @@
 ifneq ($(KERNELRELEASE),)
 ifneq ($(CONFIG_TRACEPOINTS),)
 
-KERNELDIR=${LTTNG_KERNELDIR}
-
-include $(KBUILD_EXTMOD)/Makefile.ABI.workarounds
+KERNELDIR = ${LTTNG_KERNELDIR}
+MAKEFILEDIR = $(shell dirname $(lastword $(MAKEFILE_LIST)))
+
+include $(MAKEFILEDIR)/../Makefile.ABI.workarounds
 
 ccflags-y += -I$(PWD)/probes
 obj-m += lttng-types.o
@@ -24,6 +25,8 @@
 ifneq ($(CONFIG_KVM),)
 obj-m += lttng-probe-kvm.o
 ifneq ($(CONFIG_X86),)
+kvm_dep_lapic = $(srctree)/arch/x86/kvm/lapic.h
+ifneq ($(wildcard $(kvm_dep_lapic)),)
 kvm_dep = $(srctree)/virt/kvm/iodev.h $(srctree)/include/kvm/iodev.h
 ifneq ($(wildcard $(kvm_dep)),)
 CFLAGS_lttng-probe-kvm-x86.o += -I$(srctree)/virt/kvm
@@ -38,6 +41,9 @@
 		echo "lttng-probe-kvm-x86-mmu.o" ; fi;)
 else
 $(warning File $(kvm_dep) not found. Probe "kvm" x86-specific is disabled. Use full kernel source tree to enable it.)
+endif
+else
+$(warning File $(kvm_dep_lapic) not found. Probe "kvm" x86-specific is disabled. Use full kernel source tree to enable it.)
 endif
 endif
 endif
@@ -252,6 +258,8 @@
 
 endif
 
+obj-m += lttng-test.o
+
 else
 	KERNELDIR ?= /lib/modules/$(shell uname -r)/build
 	PWD := $(shell pwd)

=== debian/changelog ===
lttng-modules (2.7.1-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [26261b4] New upstream version 2.7.1

 -- Jon Bernard <jbernard@debian.org>  Mon, 11 Jan 2016 12:54:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: lttng-modules
 Section: kernel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jon Bernard <jbernard@debian.org>
+Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), dkms (>= 2.1.0.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/lttng-modules.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lttng-modules.git;a=summary
 Homepage: http://lttng.org

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	dh_auto_install
 
 override_dh_install:
-	dh_install -Xdebian -XLICENSE -Xgpl-2.0.txt -Xlgpl-2.1.txt
+	dh_install -Xdebian/ -XLICENSE -Xgpl-2.0.txt -Xlgpl-2.1.txt
 
 override_dh_auto_clean:
 	exit 0

## lttng-modules 2.7.2

=== Makefile ===
--- 
+++ 
@@ -50,10 +50,6 @@
 			lttng-filter-validator.o \
 			probes/lttng-probe-user.o
 
-obj-m += lttng-statedump.o
-lttng-statedump-objs := lttng-statedump-impl.o wrapper/irqdesc.o \
-			wrapper/fdtable.o
-
 ifneq ($(CONFIG_HAVE_SYSCALL_TRACEPOINTS),)
 lttng-tracer-objs += lttng-syscalls.o
 endif # CONFIG_HAVE_SYSCALL_TRACEPOINTS
@@ -69,6 +65,10 @@
 	if [ $(VERSION) -ge 4 \
 		-o \( $(VERSION) -eq 3 -a $(PATCHLEVEL) -ge 15 -a $(SUBLEVEL) -ge 0 \) ] ; then \
 		echo "lttng-tracepoint.o" ; fi;)
+
+obj-m += lttng-statedump.o
+lttng-statedump-objs := lttng-statedump-impl.o wrapper/irqdesc.o \
+			wrapper/fdtable.o
 
 obj-m += probes/
 obj-m += lib/

=== debian/changelog ===
lttng-modules (2.7.2-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [a0e9036] Add pgpsigurlmangle to watch file
  * [0bace1e] New upstream version 2.7.2
  * [eb429d3] Update vcs fields to use secure uri
  * [a1b3812] Bump standards version to 3.9.7, no changes necessary
  * [19a1783] Updated copyright file
  * [7afae37] Do not install vim swp files

 -- Jon Bernard <jbernard@debian.org>  Sat, 12 Mar 2016 06:43:08 -0500

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Jon Bernard <jbernard@debian.org>
 Build-Depends: debhelper (>= 9), dkms (>= 2.1.0.0)
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/lttng-modules.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lttng-modules.git;a=summary
-Homepage: http://lttng.org
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/lttng-modules.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/lttng-modules.git;a=summary
+Homepage: https://lttng.org
 
 Package: lttng-modules-dkms
 Architecture: all
